import request from '@/utils/httpRequest'
import { PUBLIC_MODULES_PATH as prefix } from "../AppPath";

export default class MeetingRoomService{
	list (param) {
		return request({
			url: prefix + '/meetingRoom/list',
			method: 'get',
			params: param
		})
	}

	queryById (id) {
		return request({
			url: prefix + '/meetingRoom/findById',
			method: 'get',
			params: {id: id}
		})
	}

	saveForm (inputForm) {
		return request({
			url: prefix + "/meetingRoom/saveForm",
			method: 'post',
			data: inputForm
		})
	}

	updateStatusById (params) {
		return request({
			url: prefix + '/meetingRoom/updateStatusById',
			method: 'post',
			data: params
		})
	}

	checkTime(startDate,meetNumber){
		return request({
			url: prefix + '/meetingRoom/checkTime',
			method: 'get',
			params: {startDate:startDate,meetNumber:meetNumber}
		})
	}

	delete (ids) {
		return request({
			url: prefix + '/meetingRoom/deleteById',
			method: 'get',
			params: {id: ids}
		})
	}


	exportFile(params) {
		return request({
			url: prefix + "/meetingRoom/export",
			method: "get",
			params: params,
			responseType: "blob",
		});
	}
}
